#handle:
# -> initial oauth handshake, materialize from omniauth hash
# -> materialize from session

class UserInfo
  attr_reader :name,:username,:profile_url,:picture_url,:access_token
  
  self.from_omniauth_hash (credentials) do
    
  end
  
  self.from_credentials_hash (credentials) do
    
  end
  
  credentials do
    
  end
  
end

def compress_omniauth_auth_hash(auth_hash)
  userinfo = Hash.new
  userinfo[:provider]                = auth_hash[:provider]
  userinfo[:credentials]             = auth_hash[:credentials]
  userinfo[:extra] = Hash.new
  userinfo[:extra][:organization_id] = auth_hash[:extra][:organization_id]
  userinfo[:extra][:user_id]         = auth_hash[:extra][:user_id]
  userinfo[:extra][:username]        = auth_hash[:extra][:username]
  userinfo[:extra][:display_name]    = auth_hash[:extra][:display_name]
  userinfo[:extra][:email]           = auth_hash[:extra][:email]
  userinfo[:picture]                 = auth_hash[:extra][:photos][:picture]
  userinfo[:name]                    = auth_hash[:info][:name]
  userinfo[:profile]                 = auth_hash[:info][:urls][:profile]
  userinfo
end



%a{:href => session[:userinfo][:profile], :"data-ajax"=>"false"} 
  %img{:src =>  session[:userinfo][:picture] + "?oauth_token=" + session[:userinfo][:credentials][:token]}
  %h3 #{session[:userinfo][:name]}
  %p #{session[:userinfo][:extra][:username]}
(session[:userinfo][:credentials].instance_url