require "sequel"
Sequel::Model.plugin :timestamps
Sequel::Model.strict_param_setting = false
Sequel::Model.raise_on_typecast_failure = false

DB = Sequel.connect(ENV['DATABASE_URL'] || 'sqlite://db/dev.db')

require_relative "model/helpers"
require_relative "model/poll"
require_relative "model/choice"
require_relative "model/response"